Bug 436685 - Kernel 2.6.24.3-12.fc8 breaks boot process
Kernel 2.6.24.3-12.fc8 breaks boot process
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 06:20 EDT by Stanis Trendelenburg
Modified: 2009-01-09 01:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanis Trendelenburg 2008-03-09 06:20:04 EDT
Description of problem:
Fedora 8 no longer finishes the boot process after updating to kernel
2.6.24.3-12.fc8

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8

How reproducible:
update to latest kernel, reboot

Actual results:
1. A new warning message appears before all other output:
   "pnpacpi exceeded the max number of mem resources: 12"

2. after "starting udev:", this warning messages appears:
   "modprobe: warning: error inserting padlock_aes
(/lib/modules/2.4.24.3-12.fc8/kernel/drivers/crypto/padlock-aes.ko): no such device"
   At this point, the boot process stops. It resumes only after hitting Ctrl-C.

3. After that, it runs up to "starting anacron [OK]" (the last init script),
   and then stops again. The only thing the computer responds to at this point
   is "Ctrl-Alt-Del", which results in a clean shutdown & reboot.

Expected results:
    The computer should boot completely.

Additional info:
    This is on a Thinkpad T40 (~3 years old), no unusual hardware is present.
Comment 1 Stanis Trendelenburg 2008-03-26 09:30:12 EDT
Update: More information about this bug can be found here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/189398

Somehow all of this is caused by the presence of a cisco aironet wireless device
(see comments of bug report linked to above).
Disabling the laptops built-in wireless device in the BIOS results in a clean boot.
Comment 2 Chuck Ebbert 2008-04-11 19:20:03 EDT
Does blacklisting the padlock_aes module work too? (add it to
/etc/modprobe.d/blacklist)
Comment 3 Stanis Trendelenburg 2008-04-22 16:45:30 EDT
I updated to the Fedora 9 preview release yesterday and the error is gone.
I still get a message about padlock_aes when booting, but everything else works
as expected (including wireless).
Comment 4 Bug Zapper 2008-11-26 05:05:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:08:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.